<template>
  <v-card>
    
    <v-layout>
      <v-app-bar style="box-shadow: none">
        <v-app-bar-nav-icon
          variant="text"
          @click.stop="drawer = !drawer"
          color="black"
        ></v-app-bar-nav-icon>
        <v-spacer></v-spacer>
        <v-btn>
          <v-avatar>
            <v-img
              src="https://cdn.vuetifyjs.com/images/john.jpg"
              alt="John"
            ></v-img>
          </v-avatar>
        </v-btn>
      </v-app-bar>
      <v-navigation-drawer
        theme="dark"
        v-model="drawer"
        location="left"
        temporary
        style="
          border-radius: 0vw 5vw 5vw 0vw;
          height: 70%;
          background-size: cover;
          background-image: url('https://images.unsplash.com/photo-1605003179269-c446bb939f00?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=387&q=80');
        "
      >
        <v-list color="transparent">
          <v-list-item
            prepend-icon="mdi-view-dashboard"
            title="Dashboard"
          ></v-list-item>
          <v-list-item
            prepend-icon="mdi-account-box"
            title="Account"
          ></v-list-item>
          <v-list-item prepend-icon="mdi-gavel" title="Admin"></v-list-item>
        </v-list>

        <template v-slot:append>
          <v-btn color="pink" block style="margin-bottom: 5vw">
            Create Event
          </v-btn>
        </template>
      </v-navigation-drawer>
      
    </v-layout>
    <v-container fluid class="page-wrapper mt-9">
      <slot />
    </v-container>
  </v-card>
</template>

<script>
export default {
  data: () => ({
    drawer: false,
    group: null,
  }),

  watch: {
    group() {
      this.drawer = false;
    },
  },
};
</script>

<style>
</style>